Get subscription deliveries list
https://organization.dattaremit.com/api/subscription_deliveriesRequires a organization-scoped key.
Retrieves a listing of subscription deliveries s.
Required scope: subscription_events:read
Query Params
pageintegerThe page index to retrieve.
per_pageintegerThe number of entities per page to return.
guidstringComma separated subscription_delivery_guids to list subscription deliveries for.
subscription_event_guidstringComma separated subscription_event_guids to list subscription deliveries for.
subscription_guidstringComma separated subscription_guids to list subscription deliveries for.
statestringComma separated states to list subscription deliveries for.
event_typestringComma separated event types to list subscription deliveries for.
completed_at_gtestringISO8601 datetime; only deliveries completed at or after this time are returned.
completed_at_ltstringISO8601 datetime; only deliveries completed before this time are returned.
Responses
200Get list of subscription deliveries
400Invalid requests
401Unauthorized - Authentication failed
403Invalid scope
Request
curl https://api.dattaremit.com/api/subscription_deliveries \
-H "Authorization: Bearer sk_test_YOUR_KEY"Response
Get list of subscription deliveries
{
"total": 1,
"page": 1,
"per_page": 1,
"objects": [
{
"guid": "string",
"response": "string",
"subscription_event_guid": "string",
"subscription_guid": "string",
"state": "storing",
"next_attempt_at": "2026-07-20T16:27:51.438Z",
"attempt_count": 1,
"completed_at": "2026-07-20T16:27:51.438Z",
"failed_at": "2026-07-20T16:27:51.438Z",
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z"
}
]
}